Subject: Re: [PATCH/RFC?] usb/input: Add support for fn key on Apple PowerBooks

From: Dmitry Torokhov <[email-masked]>
Date: Sun, 25 Dec 2005 23:04:30 -0500

On Sunday 25 December 2005 16:20, Michael Hanselmann wrote:
> This patch adds a basic input hook support to usbhid because the quirks
> method is outrunning the available bits. A hook for the Fn and Numlock
> keys on Apple PowerBooks is included.

Well, we have used 11 out of 32 available bits so there still some
reserves. My concern is that your implementation allows only one
hook to be installed while with quirks you can have several of them
active per device.

As far as the hook itself - i have that feeling that it should not be
done in kernel but via a keymap.
 
-- 
Dmitry